---
layout: docs
page_title: accounts update - Command
description: >-
  The "accounts update" command updates an existing account resource's LDAP, OIDC, or password authentication information.
---

⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️
> [!IMPORTANT]  
> **Documentation Update:** Product documentation previously located in `/website` has moved to the [`hashicorp/web-unified-docs`](https://github.com/hashicorp/web-unified-docs) repository, where all product documentation is now centralized. Please make contributions directly to `web-unified-docs`, since changes to `/website` in this repository will not appear on developer.hashicorp.com.
⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️

# accounts update

Command: `boundary accounts update`

The `accounts update` command updates an existing account's information for
the LDAP, OIDC, or password auth method.

## Examples

The following example updates an existing password-type account with the ID `acctpw_w3N3PlV34D`:

```plaintext
ID:                    acctpw_w3N3PlV34D
   Version:             1
   Type:                password
   Name:                test_account
   Description:         Test password account
   Authorized Actions:
      no-op
      read
      update
      delete
      set-password
      change-password

  Attributes:
    Login Name:        tester01
```

This command updates the name, login name, and description:

```shell-session
$ boundary accounts update password -id=acctpw_w3N3PlV34D \
   -name="tester" \
   -login-name="test-engineer" \
   -description="Only to be used for testing"
```

**Example output:**

<CodeBlockConfig hideClipboard highlight="4,6,25">

```plaintext
Account information:
  Auth Method ID:      ampw_1234567890
  Created Time:        Thu, 13 Jul 2023 22:30:53 PDT
  Description:         Only to be used for testing
  ID:                  acctpw_w3N3PlV34D
  Name:                tester
  Type:                password
  Updated Time:        Thu, 13 Jul 2023 22:40:48 PDT
  Version:             3

  Scope:
    ID:                global
    Name:              global
    Type:              global

  Authorized Actions:
    no-op
    read
    update
    delete
    set-password
    change-password

  Attributes:
    Login Name:        test-engineer
```

</CodeBlockConfig>

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary accounts update [type] [options] [args]
```

</CodeBlockConfig>

### Command options

- `-description` `(string: "")` - The description to set on the account.
- `-id` `(string: "")` - The ID of the account to update.
- `-name` `(string: "")` - The name to set on the account.
- `-version` `(string: "")` - The version of the account against which to
   perform an update operation. If you do not specify a version, the command performs a
   check-and-set automatically.

### Usages by type

The available types are: `ldap`, `oidc`, and `password`.

<Tabs>
<Tab heading="LDAP">

The `boundary accounts update ldap` command updates an LDAP account.

#### Example

The following example updates an LDAP account with the ID `acctldap_1234567890` to add the name `devops` and the description `ldap account for DevOps`:

```shell-session
$ boundary accounts update ldap -id acctldap_1234567890 \
   -name "devops" \
   -description "ldap account for DevOps"
```
#### Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary accounts update ldap [options] [args]
```

</CodeBlockConfig>

</Tab>
<Tab heading="OIDC">

The `boundary accounts update oidc` command updates an OIDC account.

#### Example

The following example updates an OIDC account with the ID `acctoidc_1234567890` to add the name `devops` and the description `Oidc account for DevOps`:

```shell-session
$ boundary accounts update oidc -id acctoidc_1234567890 \
   -name "devops" \
   -description "Oidc account for DevOps"
```

#### Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary accounts update oidc [options] [args]
```

</CodeBlockConfig>


</Tab>
<Tab heading="Password">

The `boundary accounts update password` command updates a Password type account.

#### Example

The following example updates a password account with the ID `acctpw_1234567890` to add the name `devops` and the description `Password account for DevOps`:

```shell-session
$ boundary accounts update password -id acctpw_1234567890 \
   -name "devops" \
   -description "Password account for DevOps"
```

#### Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary accounts update password [options] [args]
```

</CodeBlockConfig>

#### Password account option

The following option is specific to password accounts, in addition to the command
options:

- `-login-name` `(string: "")` - The login name for the account.

</Tab>
</Tabs>

@include 'cmd-option-note.mdx'